# 63. Mutation: Organizasyonu Kaydet

"Organization" eklemek veya düzenlemek için mutation. saveOrganization isteğini gönderen "User", "Organization"ın sahibi olacaktır.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      name: "Organizasyon adı"
      surname: "Sahibin soyadı"
      givenName: "Sahibin adı"
      email: "owner@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    isim
    soyadı
    adı
    e-posta
    telefon
    oluşturulmaTarihi
    updatedDate
  }
}
```

{% endcode %}

Mevcut "Organization"ı düzenlemek için isteğe uuid özniteliğini ekleyin.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      uuid: "<organization_uuid>"
      name: "Yeni organizasyon adı"
      surname: "Sahibin soyadı"
      givenName: "Sahibin adı"
      email: "owner_info@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    isim
    soyadı
    adı
    e-posta
    telefon
    oluşturulmaTarihi
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-belgeleri/geopard-api-isteklerine-genel-bakis/63.-mutation-organizasyonu-kaydet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
